Update organization

Auth
Warning

This endpoint is deprecated and scheduled to be removed in the next major version.

Updates an existing organization. Currently unavailable in self-hosted ECE.

Path parameters

organization_id string required

Identifier for the Organization

Request body

The organization to update

name string

The organization's friendly name

default_disk_usage_alerts_enabled boolean

Whether the default disk alerts are enabled

notifications_allowed_email_domains string[]

The list of allowed domains for notification-email recipients

billing_contacts string[]

The list of contacts for billing notifications

operational_contacts string[]

The list of contacts for operational notifications

Responses

Organization updated successfully

application/json
id string required

The organization's identifier

name string required

The organization's friendly name

default_disk_usage_alerts_enabled boolean

Whether the default disk alerts are enabled

notifications_allowed_email_domains string[]

The list of allowed domains for notification-email recipients

billing_contacts string[]

The list of contacts for billing notifications, if specified

operational_contacts string[]

The list of contacts for operational notifications, if specified

sso_login_identifier string

The login identifier for initiating SSO